      module EditM40_mod
      integer NAtActive,NAtActiveSel,NAtomicSel
      dimension IAtActive(:)
      logical LAtActive(:)
      character*8 NameAtActive(:)
      allocatable IAtActive,LAtActive,NameAtActive
      integer nan
      dimension kmodxn(:),xn(:,:),uxn(:,:,:),uyn(:,:,:),
     1          Rho(:)
      character*8 atomn(:)
      allocatable atomn,kmodxn,xn,uxn,uyn,Rho
      character*12 MolMenu(:)
      integer MaxMolPos
      allocatable MolMenu
      integer NTrans,TransKwSym(:,:)
      dimension TransMat(:,:,:),TransVec(:,:,:),TransX(:,:,:),
     1          TransM(:,:,:),TransZM(:),
     2          TransTemp(:,:,:),TransTempS(:,:,:),TransC3(:,:,:),
     3          TransC4(:,:,:),TransC5(:,:,:),TransC6(:,:,:),
     4          SignTransX(:)
      allocatable TransMat,TransVec,TransX,TransM,TransZM,TransTemp,
     1            TransTempS,TransC3,TransC4,TransC5,TransC6,SignTransX,
     2            TransKwSym
      logical AtBrat(:),MolAtBrat(:)
      integer isfn(:),isfhp,MolAt(:),MolAtisf(:)
      allocatable AtBrat,MolAtBrat,isfn,MolAt,MolAtisf
      end
